/******************************************************************************
  Copyright (c) 2008, Intel Corp.
  All rights reserved. 

  Redistribution and use in source and binary forms, with or without  
  modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice, 
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright 
      notice, this list of conditions and the following disclaimer in the 
      documentation and/or other materials provided with the distribution.
    * Neither the name of Intel Corporation nor the names of its contributors 
      may be used to endorse or promote products derived from this software 
      without specific prior written permission.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
  THE POSSIBILITY OF SUCH DAMAGE.
******************************************************************************/

if (strcmp(func, "bid64_add") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_add, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_sub") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_sub, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_mul") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_mul, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dq_add") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64dq_add, Q64, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qd_add") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qd_add, Q64, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qq_add") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qq_add, Q64, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dq_sub") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64dq_sub, Q64, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qd_sub") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qd_sub, Q64, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qq_sub") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qq_sub, Q64, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dq_mul") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64dq_mul, Q64, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qd_mul") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qd_mul, Q64, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qq_mul") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qq_mul, Q64, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_div") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_div, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dq_div") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64dq_div, Q64, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qd_div") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qd_div, Q64, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qq_div") == 0) {
        GETTEST2(OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64qq_div, Q64, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_rem") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_rem, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_minnum") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_minnum, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid64_maxnum") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_maxnum, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid64_minnum_mag") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_minnum_mag, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid64_maxnum_mag") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_maxnum_mag, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid64_quantize") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_quantize, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64q_sqrt") == 0) {
        GETTEST1(OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64q_sqrt, Q64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_sqrt") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_sqrt, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_nearest_even") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_round_integral_nearest_even, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_nearest_away") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_round_integral_nearest_away, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_positive") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_round_integral_positive, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_negative") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_round_integral_negative, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_zero") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_round_integral_zero, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_round_integral_exact") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_round_integral_exact, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_nextup") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_nextup, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_nextdown") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_nextdown, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_nextafter") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_nextafter, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_nextup") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_nextup, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_nextdown") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_nextdown, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_nextafter") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_nextafter, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64_fma, Q64, A64, B64, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64ddq_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64ddq_fma, Q64, A64, B64, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dqd_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64dqd_fma, Q64, A64, B, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64dqq_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64dqq_fma, Q64, A64, B, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qdd_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64qdd_fma, Q64, A, B64, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qdq_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64qdq_fma, Q64, A, B64, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qqd_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64qqd_fma, Q64, A, B, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64qqq_fma") == 0) {
        GETTEST3(OP_DEC64, OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid64qqq_fma, Q64, A, B, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_from_string") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_RESARG (bid64_from_string, Q64, istr1);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_from_string") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_RESARG (bid128_from_string, Q, istr1);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_string") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_RESREF (bid64_to_string, convstr, A64); 
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_string") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_RESREF (bid128_to_string, convstr, A); 
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_copy") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid64_copy, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_negate") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid64_negate, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_abs") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid64_abs, Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_copySign") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT(bid64_copySign, Q64, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_copy") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid128_copy, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_class") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_class, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_class") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_class, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_negate") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid128_negate, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_abs") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid128_abs, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_copySign") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT(bid128_copySign, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_dpd_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
                    BIDECIMAL_CALL1_NORND_NOSTAT(bid_dpd_to_bid32, Q32, *(BID_UINT32*)&a32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_dpd_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
                    BIDECIMAL_CALL1_NORND_NOSTAT(bid_dpd_to_bid64, Q64, *(BID_UINT64*)&a64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_dpd_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid_dpd_to_bid128, Q, *(BID_UINT128*)&a);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_to_dpd32") == 0) {
        GETTEST1(OP_DPD32, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid_to_dpd32, *(BID_UINT32*)&Q32, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_to_dpd64") == 0) {
        GETTEST1(OP_DPD64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid_to_dpd64, *(BID_UINT64*)&Q64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_to_dpd128") == 0) {
        GETTEST1(OP_DPD128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT(bid_to_dpd128, *(BID_UINT128*)&Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_not_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_not_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_not_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_not_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_ordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_ordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_ordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_ordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_unordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_unordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_greater_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_greater_unordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_greater_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_greater_unordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_less_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_less_unordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_less_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_less_unordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_greater_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_greater_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_greater_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_greater_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_not_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_not_less, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_not_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_not_less, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_less, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_less, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_less_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_less_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_less_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_less_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_not_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_not_greater, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_not_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_not_greater, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_greater, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_greater, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_quiet_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_quiet_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_quiet_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_quiet_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_greater_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_greater_unordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_greater_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_greater_unordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_less_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_less_unordered, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_less_unordered") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_less_unordered, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_greater_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_greater_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_greater_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_greater_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_not_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_not_less, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_not_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_not_less, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_less, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_less") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_less, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_less_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_less_equal, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_less_equal") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_less_equal, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_not_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_not_greater, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_not_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_not_greater, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_signaling_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid64_signaling_greater, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_signaling_greater") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_signaling_greater, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_add") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_add, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_sub") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_sub, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_mul") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_mul, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dq_add") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dq_add, Q, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qd_add") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128qd_add, Q, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dd_add") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dd_add, Q, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dq_sub") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dq_sub, Q, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qd_sub") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128qd_sub, Q, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dd_sub") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dd_sub, Q, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dd_mul") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dd_mul, Q, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dq_mul") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dq_mul, Q, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qd_mul") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128qd_mul, Q, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_div") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_div, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dq_div") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dq_div, Q, A64, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qd_div") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128qd_div, Q, A, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dd_div") == 0) {
        GETTEST2(OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128dd_div, Q, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
                 BIDECIMAL_CALL3 (bid128_fma, Q, A, B, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128ddd_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC64, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128ddd_fma, Q, A64, B64, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128ddq_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC64, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128ddq_fma, Q, A64, B64, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dqd_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC64, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128dqd_fma, Q, A64, B, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128dqq_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC64, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128dqq_fma, Q, A64, B, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qdd_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC128, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128qdd_fma, Q, A, B64, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qdq_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC128, OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128qdq_fma, Q, A, B64, C);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128qqd_fma") == 0) {
        GETTEST3(OP_DEC128, OP_DEC128, OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL3 (bid128qqd_fma, Q, A, B, CC64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_rem") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_rem, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_sqrt") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_sqrt, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128d_sqrt") == 0) {
        GETTEST1(OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128d_sqrt, Q, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_minnum") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_minnum, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid128_maxnum") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_maxnum, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid128_minnum_mag") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_minnum_mag, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid128_maxnum_mag") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND (bid128_maxnum_mag, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_EQUALSTATUS);
    }
}
if (strcmp(func, "bid128_quantize") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_quantize, Q, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_ilogb") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_ilogb, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_ilogb") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_ilogb, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_scalbn") == 0) {
        GETTEST2(OP_DEC128, OP_DEC128, OP_INT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid128_scalbn, Q, A, BI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_scalbn") == 0) {
        GETTEST2(OP_DEC64, OP_DEC64, OP_INT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2 (bid64_scalbn, Q64, A64, BI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_nearest_even") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_round_integral_nearest_even, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_nearest_away") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_round_integral_nearest_away, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_positive") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_round_integral_positive, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_negative") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_round_integral_negative, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_zero") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_round_integral_zero, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_round_integral_exact") == 0) {
        GETTEST1(OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_round_integral_exact, Q, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_rnint") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_rnint, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_rninta") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_rninta, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_ceil") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_ceil, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_floor") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_floor, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_int") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_int, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_xrnint") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_xrnint, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_xrninta") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_xrninta, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_xceil") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_xceil, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_xfloor") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_xfloor, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int8_xint") == 0) {
        GETTEST1(OP_INT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int8_xint, i2_8, A64); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_rnint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_rnint, u2_8, A64);  i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_rninta") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_rninta, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_ceil") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_ceil, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_floor") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_floor, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_int") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_int, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_xrnint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_xrnint, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_xrninta") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_xrninta, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_xceil") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_xceil, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_xfloor") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_xfloor, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint8_xint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint8_xint, u2_8, A64); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_rnint") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_rnint, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_rninta") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_rninta, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_ceil") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_ceil, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_floor") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_floor, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_int") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_int, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_xrnint") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_xrnint, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_xrninta") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_xrninta, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_xceil") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_xceil, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_xfloor") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_xfloor, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int16_xint") == 0) {
        GETTEST1(OP_INT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int16_xint, i2_16, A64); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_rnint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_rnint, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_rninta") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_rninta, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_ceil") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_ceil, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_floor") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_floor, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_int") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_int, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_xrnint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_xrnint, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_xrninta") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_xrninta, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_xceil") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_xceil, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_xfloor") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_xfloor, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint16_xint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint16_xint, u2_16, A64); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_rnint") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_rnint, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_rninta") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_rninta, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_ceil") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_ceil, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_floor") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_floor, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_int") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_int, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_xrnint") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_xrnint, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_xrninta") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_xrninta, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_xceil") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_xceil, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_xfloor") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_xfloor, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int32_xint") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int32_xint, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_rnint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_rnint, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_rninta") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_rninta, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_ceil") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_ceil, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_floor") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_floor, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_int") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_int, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_xrnint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_xrnint, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_xrninta") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_xrninta, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_xceil") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_xceil, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_xfloor") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_xfloor, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint32_xint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint32_xint, *(BID_UINT32*)&i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_rnint") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_rnint, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_rninta") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_rninta, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_ceil") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_ceil, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_floor") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_floor, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_int") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_int, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_xrnint") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_xrnint, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_xrninta") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_xrninta, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_xceil") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_xceil, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_xfloor") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_xfloor, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_int64_xint") == 0) {
        GETTEST1(OP_INT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_int64_xint, *(BID_SINT64*)&Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_rnint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_rnint, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_rninta") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_rninta, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_ceil") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_ceil, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_floor") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_floor, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_int") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_int, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_xrnint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_xrnint, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_xrninta") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_xrninta, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_xceil") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_xceil, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_xfloor") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_xfloor, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_uint64_xint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid64_to_uint64_xint, Qi64, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_rnint") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_rnint, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_rninta") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_rninta, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_ceil") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_ceil, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_floor") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_floor, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_int") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_int, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_xrnint") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_xrnint, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_xrninta") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_xrninta, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_xceil") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_xceil, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_xfloor") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_xfloor, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int8_xint") == 0) {
        GETTEST1(OP_INT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int8_xint, i2_8, A); i2 = (int)i2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_rnint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_rnint, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_rninta") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_rninta, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_ceil") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_ceil, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_floor") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_floor, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_int") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_int, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_xrnint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_xrnint, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_xrninta") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_xrninta, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_xceil") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_xceil, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_xfloor") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_xfloor, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint8_xint") == 0) {
        GETTEST1(OP_BID_UINT8, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint8_xint, u2_8, A); i2 = (int)u2_8;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_rnint") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_rnint, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_rninta") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_rninta, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_ceil") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_ceil, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_floor") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_floor, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_int") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_int, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_xrnint") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_xrnint, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_xrninta") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_xrninta, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_xceil") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_xceil, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_xfloor") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_xfloor, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int16_xint") == 0) {
        GETTEST1(OP_INT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int16_xint, i2_16, A); i2 = (int)i2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_rnint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_rnint, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_rninta") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_rninta, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_ceil") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_ceil, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_floor") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_floor, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_int") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_int, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_xrnint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_xrnint, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_xrninta") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_xrninta, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_xceil") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_xceil, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_xfloor") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_xfloor, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint16_xint") == 0) {
        GETTEST1(OP_BID_UINT16, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint16_xint, u2_16, A); i2 = (int)u2_16;
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_rnint") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_rnint, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_rninta") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_rninta, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_ceil") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_ceil, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_floor") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_floor, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_int") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_int, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_xrnint") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_xrnint, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_xrninta") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_xrninta, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_xceil") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_xceil, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_xfloor") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_xfloor, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int32_xint") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int32_xint, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_rnint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_rnint, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_rninta") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_rninta, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_ceil") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_ceil, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_floor") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_floor, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_int") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_int, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_xrnint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_xrnint, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_xrninta") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_xrninta, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_xceil") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_xceil, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_xfloor") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_xfloor, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint32_xint") == 0) {
        GETTEST1(OP_BID_UINT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint32_xint, *(BID_UINT32*)&i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_rnint") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_rnint, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_rninta") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_rninta, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_ceil") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_ceil, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_floor") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_floor, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_int") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_int, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_xrnint") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_xrnint, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_xrninta") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_xrninta, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_xceil") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_xceil, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_xfloor") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_xfloor, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_int64_xint") == 0) {
        GETTEST1(OP_INT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_int64_xint, *(BID_SINT64*)&Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_rnint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_rnint, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_rninta") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_rninta, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_ceil") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_ceil, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_floor") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_floor, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_int") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_int, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_xrnint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_xrnint, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_xrninta") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_xrninta, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_xceil") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_xceil, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_xfloor") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_xfloor, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_uint64_xint") == 0) {
        GETTEST1(OP_BID_UINT64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid128_to_uint64_xint, Qi64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_from_int32") == 0) {
        GETTEST1(OP_DEC64, OP_INT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_from_int32, Q64, AI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_from_uint32") == 0) {
        GETTEST1(OP_DEC64, OP_BID_UINT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_from_uint32, Q64, AUI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_from_int64") == 0) {
        GETTEST1(OP_DEC64, OP_INT64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_from_int64, Q64, AI64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_from_uint64") == 0) {
        GETTEST1(OP_DEC64, OP_BID_UINT64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_from_uint64, Q64, AUI64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_from_int32") == 0) {
        GETTEST1(OP_DEC128, OP_INT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_from_int32, Q, AI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_from_uint32") == 0) {
        GETTEST1(OP_DEC128, OP_BID_UINT32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_from_uint32, Q, AUI32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_from_int64") == 0) {
        GETTEST1(OP_DEC128, OP_INT64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_from_int64, Q, AI64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_from_uint64") == 0) {
        GETTEST1(OP_DEC128, OP_BID_UINT64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_from_uint64, Q, AUI64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isSigned") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isSigned, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isSigned") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isSigned, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isNormal") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isNormal, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isNormal") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isNormal, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isSubnormal") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isSubnormal, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isSubnormal") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isSubnormal, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isFinite") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isFinite, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isFinite") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isFinite, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isZero") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isZero, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isZero") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isZero, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isInf") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isInf, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isInf") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isInf, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isSignaling") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isSignaling, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isSignaling") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isSignaling, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isCanonical") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isCanonical, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isCanonical") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isCanonical, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_isNaN") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_isNaN, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_isNaN") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_isNaN, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_sameQuantum") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid64_sameQuantum, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_sameQuantum") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid128_sameQuantum, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_totalOrder") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid64_totalOrder, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_totalOrderMag") == 0) {
        GETTEST2(OP_INT32, OP_DEC64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid64_totalOrderMag, i2, A64, B64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_totalOrder") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid128_totalOrder, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_totalOrderMag") == 0) {
        GETTEST2(OP_INT32, OP_DEC128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL2_NORND_NOSTAT (bid128_totalOrderMag, i2, A, B);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid32_to_bid128, Q, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND (bid32_to_bid64, Q64, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_to_bid32, Q32, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
                    BIDECIMAL_CALL1_NORND (bid64_to_bid128, Q, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_bid32, Q32, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_bid64, Q64, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_binary128") == 0) {
        GETTEST1(OP_BIN128, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_binary128, Rquad, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_binary128") == 0) {
        GETTEST1(OP_BIN128, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_to_binary128, Rquad, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_binary128") == 0) {
        GETTEST1(OP_BIN128, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid32_to_binary128, Rquad, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
#if __ENABLE_BINARY80__  
if (strcmp(func, "bid128_to_binary80") == 0) {
        GETTEST1(OP_BIN80, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_binary80, Rldbl, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_binary80") == 0) {
        GETTEST1(OP_BIN80, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_to_binary80, Rldbl, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_binary80") == 0) {
        GETTEST1(OP_BIN80, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid32_to_binary80, Rldbl, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
#endif
if (strcmp(func, "bid128_to_binary64") == 0) {
        GETTEST1(OP_BIN64, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_binary64, Rdbl, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_binary64") == 0) {
        GETTEST1(OP_BIN64, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_to_binary64, Rdbl, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_binary64") == 0) {
        GETTEST1(OP_BIN64, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid32_to_binary64, Rdbl, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_to_binary32") == 0) {
        GETTEST1(OP_BIN32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid128_to_binary32, Rflt, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid64_to_binary32") == 0) {
        GETTEST1(OP_BIN32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid64_to_binary32, Rflt, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid32_to_binary32") == 0) {
        GETTEST1(OP_BIN32, OP_DEC32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (bid32_to_binary32, Rflt, A32);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary64_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_BIN64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary64_to_bid128, Q, Adbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary64_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_BIN64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary64_to_bid64, Q64, Adbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary64_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_BIN64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary64_to_bid32, Q32, Adbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary32_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_BIN32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary32_to_bid128, Q, Aflt);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary32_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_BIN32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary32_to_bid64, Q64, Aflt);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary32_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_BIN32);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary32_to_bid32, Q32, Aflt);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
#if __ENABLE_BINARY80__  
if (strcmp(func, "binary80_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_BIN80);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary80_to_bid128, Q, Aldbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary80_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_BIN80);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary80_to_bid64, Q64, Aldbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary80_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_BIN80);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary80_to_bid32, Q32, Aldbl);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
#endif
if (strcmp(func, "binary128_to_bid128") == 0) {
        GETTEST1(OP_DEC128, OP_BIN128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary128_to_bid128, Q, Aquad);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary128_to_bid64") == 0) {
        GETTEST1(OP_DEC64, OP_BIN128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary128_to_bid64, Q64, Aquad);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "binary128_to_bid32") == 0) {
        GETTEST1(OP_DEC32, OP_BIN128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1 (binary128_to_bid32, Q32, Aquad);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp (func, "bid_testFlags") == 0) {
  GETTEST2 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = BUI32&BID_FLAG_MASK; save_binary_status();
    BIDECIMAL_CALL1_NORND_NOMASK_NOINFO (bid_testFlags,
					 *(_IDEC_flags *) & i2, AUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_lowerFlags") == 0) {
  GETTEST2 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = BUI32&BID_FLAG_MASK; save_binary_status(); i1 = i2 = 0; 
    BIDECIMAL_CALL1_NORND_NOMASK_NOINFO_RESVOID (bid_lowerFlags, AUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_signalException") == 0) {
  GETTEST2 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = BUI32&BID_FLAG_MASK; save_binary_status();
    i1 = i2 = 0;
    BIDECIMAL_CALL1_NORND_NOMASK_NOINFO_RESVOID (bid_signalException,
						 AUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_saveFlags") == 0) {
  GETTEST2 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = BUI32&BID_FLAG_MASK; save_binary_status();
    BIDECIMAL_CALL1_NORND_NOMASK_NOINFO (bid_saveFlags,
					 *(_IDEC_flags *) & i2, AUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_restoreFlags") == 0) {
  GETTEST3 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = CUI32&BID_FLAG_MASK; save_binary_status(); i1 = i2 = 0;
    BIDECIMAL_CALL2_NORND_NOMASK_NOINFO_RESVOID (bid_restoreFlags, AUI32,
						 BUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_testSavedFlags") == 0) {
  GETTEST2 (OP_BID_UINT32, OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = fpsf_0; save_binary_status();
    BIDECIMAL_CALL2_NORND_NOFLAGS_NOMASK_NOINFO (bid_testSavedFlags,
						 *(_IDEC_flags *) & i2,
						 BUI32, AUI32);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_getDecimalRoundingDirection") == 0) {
  GETTEST1 (OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = fpsf_0; save_binary_status();
    BIDECIMAL_CALLV_NOFLAGS_NOMASK_NOINFO (bid_getDecimalRoundingDirection,
					   *(_IDEC_flags *) & i2);
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp (func, "bid_setDecimalRoundingDirection") == 0) {
  GETTEST1 (OP_BID_UINT32, OP_BID_UINT32);
  {
    *pfpsf = fpsf_0; save_binary_status();
    BIDECIMAL_CALL1_NOFLAGS_NOMASK_NOINFO (bid_setDecimalRoundingDirection,
					   *(_IDEC_flags *) & i2,
					   AUI32);
#if DECIMAL_GLOBAL_ROUNDING || DECIMAL_CALL_BY_REFERENCE
	 i2 = rnd_mode;	
#endif
    fpsf_0 = 0;
    check_results (CMP_FUZZYSTATUS);
  }
}
if (strcmp(func, "bid64_radix") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid64_radix, i2, A64);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid128_radix") == 0) {
        GETTEST1(OP_INT32, OP_DEC128);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALL1_NORND_NOSTAT (bid128_radix, i2, A);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_is754") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALLV_EMPTY (bid_is754, i2);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
if (strcmp(func, "bid_is754R") == 0) {
        GETTEST1(OP_INT32, OP_DEC64);
        {
        *pfpsf = fpsf_0; save_binary_status();
            	BIDECIMAL_CALLV_EMPTY (bid_is754R, i2);
        fpsf_0 = 0;
        check_results(CMP_FUZZYSTATUS);
    }
}
